using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using Core.Client.WinCommon;

namespace Core.XgMes.Client.JGKC.RollManager
{
	/// <summary>
	/// FrmPrint 的摘要说明。
	/// </summary>
	public class FrmPrint : System.Windows.Forms.Form
	{
		private UCGridPrint ucGridPrint1;
		/// <summary>
		/// 必需的设计器变量。
		/// </summary>
		private System.ComponentModel.Container components = null;

		public FrmPrint()
		{
			//
			// Windows 窗体设计器支持所必需的
			//
			InitializeComponent();

			//
			// TODO: 在 InitializeComponent 调用后添加任何构造函数代码
			//
		}

		/// <summary>
		/// 清理所有正在使用的资源。
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}
		public UCGridPrint UCGridPrint
		{
			get
			{
				return ucGridPrint1;
			}
		}

		public Control UltraGrid 
		{
			set
			{
				if(value != null)
				{
					ucGridPrint1.DataSource = value;
				}
			}
		}
		#region Windows 窗体设计器生成的代码
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{
			this.ucGridPrint1 =new UCGridPrint();
			this.SuspendLayout();
			// 
			// ucGridPrint1
			// 
			this.ucGridPrint1.FootHeight = 30;
			this.ucGridPrint1.FootText = "";
			this.ucGridPrint1.HeadHeight = 20;
			this.ucGridPrint1.HeadText = "";
			this.ucGridPrint1.Location = new System.Drawing.Point(0, 0);
			this.ucGridPrint1.Name = "ucGridPrint1";
			this.ucGridPrint1.Size = new System.Drawing.Size(216, 302);
			this.ucGridPrint1.SubFootHeight = 30;
			this.ucGridPrint1.SubFootLeftText = "";
			this.ucGridPrint1.SubfootRightText = "";
			this.ucGridPrint1.SubHeadHeight = 20;
			this.ucGridPrint1.SubHeadLeftText = "";
			this.ucGridPrint1.SubHeadRightText = "";
			this.ucGridPrint1.TabIndex = 0;
			// 
			// FrmPrint
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(6, 14);
			this.ClientSize = new System.Drawing.Size(208, 302);
			this.Controls.Add(this.ucGridPrint1);
			this.Name = "FrmPrint";
			this.Text = "打印";
			this.ResumeLayout(false);

		}
		#endregion
	}
}
